<?php
	/*	
	*	Goodlayers Framework File
	*	---------------------------------------------------------------------
	*	This file contains the homepage loading button in page option area
	*	---------------------------------------------------------------------
	*/
	
	add_action('add_meta_boxes', 'gdlr_init_demo_page_option');
	if( !function_exists('gdlr_init_demo_page_option') ){
		function gdlr_init_demo_page_option(){
			add_meta_box( 'demo-page-option', 
				__('Load Demo Page', 'gdlr_translate'), 
				'gdlr_create_demo_page_option',
				'page',
				'side',
				'default'
			);
		}
	}
	
	if( !function_exists('gdlr_create_demo_page_option') ){
		function gdlr_create_demo_page_option(){
			global $post;
		
			$buttons = array(
				'homepage-1' => __('Homepage', 'gdlr_translate'),
				'about' => __('About Us', 'gdlr_translate'),
				'service' => __('Service', 'gdlr_translate'),
				'contact-1' => __('Contact 1', 'gdlr_translate'),
				'contact-2' => __('Contact 2', 'gdlr_translate'),
			);
			
			echo '<div id="gdlr-load-demo-wrapper" data-ajax="' . AJAX_URL . '" data-id="' . $post->ID . '" data-action="load_demo_pagebuilder">';
			echo '<em>';
			echo __('*This option allow you to set page item to following pages with one click. Note that to use this option will replace all your current page item setting in this page and <strong>This Can\'t Be Undone</strong>. ( Images are not included. )', 'gdlr_translate');
			echo '</em><div class="clear"></div>';
			foreach( $buttons as $button_slug => $button_title ){
				echo '<input type="button" data-slug="' . $button_slug . '" value="' . $button_title . '" />';
			}
			echo '</div>';

		}
	}
	
	add_action('wp_ajax_load_demo_pagebuilder', 'gdlr_load_demo_pagebuilder');
	if( !function_exists('gdlr_load_demo_pagebuilder') ){
		function gdlr_load_demo_pagebuilder(){
			$default_data = array(
				'homepage-1' => array(
					'above-sidebar'=>'[]',
					'below-sidebar'=>'[]',
					'content-with-sidebar'=>'[{"item-type":"wrapper","item-builder-title":"Full Size Wrapper","type":"full-size-wrapper","items":[{"item-type":"item","item-builder-title":"Master Slider","type":"master-slider","option":{"page-item-id":"","id":"2","margin-bottom":"0px"}}],"option":{"page-item-id":"","background":"#ffffff","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"0px","padding-bottom":"0px"}},{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"item","item-builder-title":"Stunning Text","type":"stunning-text","option":{"page-item-id":"","title":"We provide fast and affordable service for your projects. Hire us!","button-text":"Get the quote","button-link":"#","margin-bottom":"0px"}}],"option":{"page-item-id":"","background-type":"color","background":"#ffffff","skin":"no-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"0px","padding-bottom":"0px"}},{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-3","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"image","image":"3735","icon":"","title":"Egestas Aenean Condimentum","style":"type-1","learn-more-link":"#","content":"<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas faucibus mollis interdum. Aenean lacinia bibendum nulla sed consectetur.</p>","margin-bottom":"40px"}}],"option":{},"size":"1/3"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-3","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"image","image":"3736","icon":"","title":"Egestas Mattis Ipsum","style":"type-1","learn-more-link":"#","content":"<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas faucibus mollis interdum. Aenean lacinia bibendum nulla sed consectetur.</p>","margin-bottom":"40px"}}],"option":{},"size":"1/3"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-3","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"image","image":"3737","icon":"","title":"Tortor Consectetur Dapibus Adipiscing","style":"type-1","learn-more-link":"#","content":"<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas faucibus mollis interdum. Aenean lacinia bibendum nulla sed consectetur.</p>","margin-bottom":"40px"}}],"option":{},"size":"1/3"}],"option":{"page-item-id":"","background-type":"color","background":"#ffffff","skin":"no-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"50px","padding-bottom":"10px"}},{"item-type":"wrapper","item-builder-title":"Background/Parallax Wrapper","type":"parallax-bg-wrapper","items":[{"item-type":"item","item-builder-title":"Title","type":"title","option":{"page-item-id":"","title-type":"left-divider","title":"We Have Story Of Us For You To Discover","caption":"","right-text":"Read More","right-text-link":"#","margin-bottom":"20px"}}],"option":{"page-item-id":"","type":"image","background":"3674","background-mobile":"","background-speed":"0.2","pattern":"1","video":"","video-overlay":"0.5","video-player":"enable","skin":"gdlr-skin-dark-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"110px","padding-bottom":"85px"}},{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"item","item-builder-title":"Tab","type":"tab","option":{"page-item-id":"","tab":"[{|gq2|gdl-tab-title|gq2|:|gq2|WHY CHOOSE US?|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|[gdlr_service image=|gq6|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/03/service-shortcode-1.jpg|gq6| title=|gq6|WHY CHOOSE US?|gq6| ]Maecenas sed diam eget risus varius blandit sit amet non magna. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Nulla vitae elit libero, a pharetra augue. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.|g2n||g2n|Donec ullamcorper nulla non metus auctor fringilla. Donec sed odio dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posu.|g2n|[/gdlr_service]|gq2|,|gq2|gdl-tab-title-id|gq2|:|gq2||gq2|},{|gq2|gdl-tab-title|gq2|:|gq2|OUR COMMITMENT|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|[gdlr_service image=|gq6|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/03/service-shortcode-2.jpg|gq6| title=|gq6|OUR COMMITMENT|gq6| ]Maecenas sed diam eget risus varius blandit sit amet non magna. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Nulla vitae elit libero, a pharetra augue. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.|g2n||g2n|Donec ullamcorper nulla non metus auctor fringilla. Donec sed odio dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posu.|g2n|[/gdlr_service]|gq2|,|gq2|gdl-tab-title-id|gq2|:|gq2||gq2|},{|gq2|gdl-tab-title|gq2|:|gq2|STORY ABOUT US|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|[gdlr_service image=|gq6|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/03/service-shortcode-3.jpg|gq6| title=|gq6|STORY ABOUT US|gq6| ]Maecenas sed diam eget risus varius blandit sit amet non magna. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Nulla vitae elit libero, a pharetra augue. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.|g2n||g2n|Donec ullamcorper nulla non metus auctor fringilla. Donec sed odio dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posu.[/gdlr_service]|gq2|,|gq2|gdl-tab-title-id|gq2|:|gq2||gq2|},{|gq2|gdl-tab-title|gq2|:|gq2|OUR VISION|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|[gdlr_service image=|gq6|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/03/service-shortcode-4.jpg|gq6| title=|gq6|OUR VISION|gq6| ]Maecenas sed diam eget risus varius blandit sit amet non magna. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Nulla vitae elit libero, a pharetra augue. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.|g2n||g2n|Donec ullamcorper nulla non metus auctor fringilla. Donec sed odio dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posu.[/gdlr_service]|gq2|,|gq2|gdl-tab-title-id|gq2|:|gq2||gq2|}]","initial-state":"1","style":"vertical","title-type":"none","title":"","caption":"","margin-bottom":"20px"}}],"option":{"page-item-id":"","background-type":"color","background":"#ffffff","skin":"no-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"55px","padding-bottom":"20px"}},{"item-type":"wrapper","item-builder-title":"Background/Parallax Wrapper","type":"parallax-bg-wrapper","items":[{"item-type":"item","item-builder-title":"Project","type":"portfolio","option":{"page-item-id":"","title-type":"left-bold","title":"Our Projects","caption":"","right-text":"Read All News","right-text-link":"","category":"all","tag":"","portfolio-style":"modern-portfolio","num-fetch":"8","num-excerpt":"20","portfolio-size":"1/4","portfolio-layout":"carousel","portfolio-filter":"enable","thumbnail-size":"blog-grid","orderby":"date","order":"desc","pagination":"disable","margin-bottom":"0px"}}],"option":{"page-item-id":"","type":"image","background":"3745","background-mobile":"","background-speed":"0","pattern":"1","video":"","video-overlay":"0.5","video-player":"enable","skin":"gdlr-skin-homepage-project","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"70px","padding-bottom":"5px"}},{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-2","items":[{"item-type":"item","item-builder-title":"Testimonial","type":"testimonial","option":{"page-item-id":"","testimonial":"[{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2013/11/testimonial-2.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3590|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|John Smith|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|Senior Engineer, The Building Co|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Nullam id dolor id nibh ultricies vehicula ut id elit. Etiam porta sem males uada magna mollis euismod. Etiam porta m males uada ma gna mollis euismod. Praesent commodo cursus magn a, vel scele risque nisl conse ctetur et. Aenean eu leo quam. Pellentesque orna re sem lacinia quam. Praesent commodo cursus magna, vel scelerisque nisl.|gq2|},{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/personnel-7.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3717|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Peter Handerson|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|Architecture, Apple Design|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Nullam id dolor id nibh ultricies vehicula ut id elit. Etiam porta sem males uada magna mollis euismod. Etiam porta m males uada ma gna mollis euismod. Praesent commodo cursus magn a, vel scele risque nisl conse ctetur et. Aenean eu leo quam. Pellentesque orna re sem lacinia quam. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.|gq2|},{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2013/11/testimonial-5.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3593|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Klye Kenter|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|CEO, NanoSoft|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Nullam id dolor id nibh ultricies vehicula ut id elit. Etiam porta sem males uada magna mollis euismod. Etiam porta m males uada ma gna mollis euismod. Praesent commodo cursus magn a, vel scele risque nisl conse ctetur et. Aenean eu leo quam. Nia quam. Praesent commodo cursus magna, vel.|gq2|}]","title-type":"left-bold","title":"Testimonial","caption":"","testimonial-columns":"1","testimonial-type":"carousel","testimonial-style":"box-style","margin-bottom":"20px"}}],"option":{},"size":"1/2"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-2","items":[{"item-type":"item","item-builder-title":"Blog","type":"blog","option":{"page-item-id":"","title-type":"left-bold","title":"Company\'s News","caption":"","right-text":"Read All News","right-text-link":"http://themes.goodlayers.com/megaproject/blog-full-with-right-sidebar/","category":"","tag":"","num-excerpt":"25","num-fetch":"3","blog-style":"blog-widget-1-1","blog-layout":"fitRows","thumbnail-size":"thumbnail","orderby":"date","order":"desc","offset":"","pagination":"disable","enable-sticky":"disable","margin-bottom":"0px"}}],"option":{},"size":"1/2"}],"option":{"page-item-id":"","background-type":"color","background":"#f2f2f2","skin":"gdlr-skin-light-grey","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"65px","padding-bottom":"35px"}},{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"item","item-builder-title":"Banner","type":"banner","option":{"page-item-id":"","slider":"[[3755,3756,3757,3758,3759,3760,3761],{|gq2|3755|gq2|:{|gq2|title|gq2|:|gq2||gq2|,|gq2|caption|gq2|:|gq2||gq2|,|gq2|caption-position|gq2|:|gq2||gq2|,|gq2|slide-link|gq2|:|gq2|url|gq2|,|gq2|url|gq2|:|gq2|http://themeforest.net/user/goodlayers?ref=GoodLayers|gq2|,|gq2|new-tab|gq2|:|gq2|enable|gq2|,|gq2|thumbnail|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/banner-1-150x117.jpg|gq2|,|gq2|width|gq2|:150,|gq2|height|gq2|:117},|gq2|3756|gq2|:{|gq2|title|gq2|:|gq2||gq2|,|gq2|caption|gq2|:|gq2||gq2|,|gq2|caption-position|gq2|:|gq2||gq2|,|gq2|slide-link|gq2|:|gq2|url|gq2|,|gq2|url|gq2|:|gq2|http://themeforest.net/user/goodlayers?ref=GoodLayers|gq2|,|gq2|new-tab|gq2|:|gq2|enable|gq2|,|gq2|thumbnail|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/banner-2-150x117.jpg|gq2|,|gq2|width|gq2|:150,|gq2|height|gq2|:117},|gq2|3757|gq2|:{|gq2|title|gq2|:|gq2||gq2|,|gq2|caption|gq2|:|gq2||gq2|,|gq2|caption-position|gq2|:|gq2||gq2|,|gq2|slide-link|gq2|:|gq2|url|gq2|,|gq2|url|gq2|:|gq2|http://themeforest.net/user/goodlayers?ref=GoodLayers|gq2|,|gq2|new-tab|gq2|:|gq2|enable|gq2|,|gq2|thumbnail|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/banner-3-150x117.jpg|gq2|,|gq2|width|gq2|:150,|gq2|height|gq2|:117},|gq2|3758|gq2|:{|gq2|title|gq2|:|gq2||gq2|,|gq2|caption|gq2|:|gq2||gq2|,|gq2|caption-position|gq2|:|gq2||gq2|,|gq2|slide-link|gq2|:|gq2|url|gq2|,|gq2|url|gq2|:|gq2|http://themeforest.net/user/goodlayers?ref=GoodLayers|gq2|,|gq2|new-tab|gq2|:|gq2|enable|gq2|,|gq2|thumbnail|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/banner-4-150x117.jpg|gq2|,|gq2|width|gq2|:150,|gq2|height|gq2|:117},|gq2|3759|gq2|:{|gq2|title|gq2|:|gq2||gq2|,|gq2|caption|gq2|:|gq2||gq2|,|gq2|caption-position|gq2|:|gq2||gq2|,|gq2|slide-link|gq2|:|gq2|url|gq2|,|gq2|url|gq2|:|gq2|http://themeforest.net/user/goodlayers?ref=GoodLayers|gq2|,|gq2|new-tab|gq2|:|gq2|enable|gq2|,|gq2|thumbnail|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/banner-5-150x117.jpg|gq2|,|gq2|width|gq2|:150,|gq2|height|gq2|:117},|gq2|3760|gq2|:{|gq2|title|gq2|:|gq2||gq2|,|gq2|caption|gq2|:|gq2||gq2|,|gq2|caption-position|gq2|:|gq2||gq2|,|gq2|slide-link|gq2|:|gq2|url|gq2|,|gq2|url|gq2|:|gq2|http://themeforest.net/user/goodlayers?ref=GoodLayers|gq2|,|gq2|new-tab|gq2|:|gq2|enable|gq2|,|gq2|thumbnail|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/banner-6-150x117.jpg|gq2|,|gq2|width|gq2|:150,|gq2|height|gq2|:117},|gq2|3761|gq2|:{|gq2|title|gq2|:|gq2||gq2|,|gq2|caption|gq2|:|gq2||gq2|,|gq2|caption-position|gq2|:|gq2||gq2|,|gq2|slide-link|gq2|:|gq2|url|gq2|,|gq2|url|gq2|:|gq2|http://themeforest.net/user/goodlayers?ref=GoodLayers|gq2|,|gq2|new-tab|gq2|:|gq2|enable|gq2|,|gq2|thumbnail|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/banner-7-150x117.jpg|gq2|,|gq2|width|gq2|:150,|gq2|height|gq2|:117}}]","title-type":"center-divider","title":"Our Clients","caption":"Many big companies trust in our quality","thumbnail-size":"full","banner-columns":"5","margin-bottom":"20px"}}],"option":{"page-item-id":"","background-type":"color","background":"#ffffff","skin":"gdlr-skin-light-grey","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"70px","padding-bottom":"40px"}}]',
					'post-option'=>'{"sidebar":"no-sidebar","left-sidebar":"Footer 1","right-sidebar":"Footer 1","page-style":"normal","show-title":"disable","page-caption":"","show-content":"enable","header-background":""}'
				),
				'about' => array(
					'above-sidebar'=>'[]',
					'below-sidebar'=>'[]',
					'content-with-sidebar'=>'[{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-4","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"icon","image":"","icon":"fa-truck","title":"Inceptos Dolor Mollis","style":"type-1","learn-more-link":"","content":"<p>Aenean lacinia bibendum nulla sed consectetur. Fusce dapibus, tellus ac cursus commodo, tortor mauris condi mentum nibh.</p>","margin-bottom":"20px"}}],"option":{},"size":"1/3"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-4","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"icon","image":"","icon":"fa-heart","title":"Dolor Fusce Ligula","style":"type-1","learn-more-link":"","content":"<p>Aenean lacinia bibendum nulla sed consectetur. Fusce dapibus, tellus ac cursus commodo, tortor mauris condi mentum nibh.</p>","margin-bottom":"20px"}}],"option":{},"size":"1/3"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-2","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"icon","image":"","icon":"fa-users","title":"Tortor Tellus Cras","style":"type-1","learn-more-link":"","content":"<p>Aenean lacinia bibendum nulla sed consectetur. Fusce dapibus, tellus ac cursus commodo, tortor mauris condi mentum nibh.</p>","margin-bottom":"20px"}}],"option":{},"size":"1/3"}],"option":{"page-item-id":"","background-type":"color","background":"#ffffff","skin":"no-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"65px","padding-bottom":"30px"}},{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-3","items":[{"item-type":"item","item-builder-title":"Content","type":"content","option":{"page-item-id":"","title-type":"none","title":"","caption":"","right-text":"Read All News","right-text-link":"","content":"<div style=|gq2|text-align: right; margin-right: 30px; margin-top: 33px;|gq2|>[gdlr_icon type=|gq2|fa-bell|gq2| size=|gq2|58px|gq2| color=|gq2|#ffffff|gq2|]</div>","margin-bottom":"20px"}}],"option":{},"size":"1/5"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-3","items":[{"item-type":"item","item-builder-title":"Title","type":"title","option":{"page-item-id":"","title-type":"left","title":"Quam Egestas Tortor Cras","caption":"Curabitur blandit tempus porttitor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.","right-text":"Read All News","right-text-link":"","margin-bottom":"20px"}}],"option":{},"size":"4/5"}],"option":{"page-item-id":"","background-type":"color","background":"#2b2b2b","skin":"gdlr-skin-dark-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"90px","padding-bottom":"69px"}},{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"wrapper","item-builder-title":"Column Item","type":"column2-5","items":[{"item-type":"item","item-builder-title":"Image / Frame","type":"image-frame","option":{"page-item-id":"","image-id":"3681","thumbnail-size":"full","link-type":"none","url":"","frame-type":"none","frame-background":"#dddddd","margin-bottom":"20px"}}],"option":{},"size":"2/5"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column2-5","items":[{"item-type":"item","item-builder-title":"Content","type":"content","option":{"page-item-id":"","title-type":"none","title":"","caption":"","right-text":"Read All News","right-text-link":"","content":"","margin-bottom":"25px"}},{"item-type":"item","item-builder-title":"List With Icon","type":"icon-with-list","option":{"page-item-id":"","icon-with-list":"[{|gq2|gdl-tab-icon|gq2|:|gq2|fa-rotate-right|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Condimentum Porta Aenean|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Cras justo odio, dapibus ac facilisis in, egestas eget quam. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Cum sociis natoque penatibus et magnis dis parturient montes.|gq2|},{|gq2|gdl-tab-icon|gq2|:|gq2|fa-circle-o-notch|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Etiam Justo Ullamcorper|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Cras justo odio, dapibus ac facilisis in, egestas eget quam. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Cum sociis natoque penatibus et magnis dis parturient montes.|gq2|},{|gq2|gdl-tab-icon|gq2|:|gq2|fa-heart-o|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Inceptos Vulputate Fusce|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Cras justo odio, dapibus ac facilisis in, egestas eget quam. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Cum sociis natoque penatibus et magnis dis parturient montes.|gq2|},{|gq2|gdl-tab-icon|gq2|:|gq2|fa-star-o|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Dapibus Mattis Parturient|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Cras justo odio, dapibus ac facilisis in, egestas eget quam. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Cum sociis natoque penatibus et magnis dis parturient montes.|gq2|}]","title-type":"none","title":"","caption":"","align":"left","margin-bottom":"20px"}}],"option":{},"size":"3/5"}],"option":{"page-item-id":"","background-type":"color","background":"#f4f4f4","skin":"no-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"100px","padding-bottom":"70px"}},{"item-type":"wrapper","item-builder-title":"Background/Parallax Wrapper","type":"parallax-bg-wrapper","items":[{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-2","items":[{"item-type":"item","item-builder-title":"Feature Media","type":"feature-media","option":{"page-item-id":"","type":"image","video-url":"","image":"","thumbnail-size":"full","title-type":"left","title":"Story About US","caption":"","align":"left","content":"<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas sed diam eget risus varius blandit sit amet non magna. Cras justo odio, dapibus ac facilisis in. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.Nullam quis risus eget urna mollis ornare vel eu leo. Maecenas sed diam eget risus varius blandit sit amet non magna. Cras mattis consectetur purus sit amet fermentum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Vivamus sagittis lacus vel augue laoreet rutrum. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>","button-text":"Learn More","button-link":"","margin-bottom":"20px"}}],"option":{},"size":"1/2"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-2","items":[{"item-type":"item","item-builder-title":"Content","type":"content","option":{"page-item-id":"","title-type":"none","title":"","caption":"","right-text":"Read All News","right-text-link":"","content":"","margin-bottom":"80px"}},{"item-type":"item","item-builder-title":"Skill Bar","type":"skill-bar","option":{"page-item-id":"","content":"Social Networks","percent":"100","size":"small","icon":"icon-picture","text-color":"#ffffff","background-color":"#e9e9e9","progress-color":"#f7c51e","margin-bottom":"40px"}},{"item-type":"item","item-builder-title":"Skill Bar","type":"skill-bar","option":{"page-item-id":"","content":"Business Planning","percent":"80","size":"small","icon":"icon-code","text-color":"#ffffff","background-color":"#e9e9e9","progress-color":"#f7c51e","margin-bottom":"40px"}},{"item-type":"item","item-builder-title":"Skill Bar","type":"skill-bar","option":{"page-item-id":"","content":"Art & Design","percent":"85","size":"small","icon":"","text-color":"#ffffff","background-color":"#e9e9e9","progress-color":"#f7c51e","margin-bottom":"40px"}}],"option":{},"size":"1/2"}],"option":{"page-item-id":"","type":"image","background":"3674","background-mobile":"","background-speed":"0","pattern":"1","video":"","video-overlay":"0.5","video-player":"enable","skin":"gdlr-skin-dark-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"90px","padding-bottom":"50px"}}]',
					'post-option'=>'{"sidebar":"no-sidebar","left-sidebar":"blog","right-sidebar":"blog","page-style":"normal","show-title":"enable","page-caption":"Example Of About Us Page","show-content":"enable","header-background":""}'
				),
				'service' => array(
					'above-sidebar'=>'[]',
					'below-sidebar'=>'[]',
					'content-with-sidebar'=>'[{"item-type":"item","item-builder-title":"Tab","type":"tab","option":{"page-item-id":"","tab":"[{|gq2|gdl-tab-title|gq2|:|gq2|Construction|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|[gdlr_service image=|gq6|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/03/service-shortcode-1.jpg|gq6| title=|gq6|CONSTRUCTION|gq6| ]Maecenas faucibus mollis interdum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue.|g2n||g2n|Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vestibulum id ligula porta felis euismod semper. Nullam id dolor id nibh ultricies vehicula ut id elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean lacinia bibendum nulla sed consectetur. Donec sed odio dui.|g2n||g2n|Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.|g2n||g2n|Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Donec ullamcorper nulla non metus auctor fringilla. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.[/gdlr_service]|gq2|,|gq2|gdl-tab-title-id|gq2|:|gq2|construction|gq2|},{|gq2|gdl-tab-title|gq2|:|gq2|Architecture|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|[gdlr_service image=|gq6|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/03/service-shortcode-4.jpg|gq6| title=|gq6|ARCHITECTURE|gq6| ]Maecenas faucibus mollis interdum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue.|g2n||g2n|Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vestibulum id ligula porta felis euismod semper. Nullam id dolor id nibh ultricies vehicula ut id elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean lacinia bibendum nulla sed consectetur. Donec sed odio dui.|g2n||g2n|Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.|g2n||g2n|Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Donec ullamcorper nulla non metus auctor fringilla. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.[/gdlr_service]|gq2|,|gq2|gdl-tab-title-id|gq2|:|gq2|architecture|gq2|},{|gq2|gdl-tab-title|gq2|:|gq2|Engineer Consulting|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|[gdlr_service image=|gq6|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/03/service-shortcode-3.jpg|gq6| title=|gq6|ENGINEER CONSLUTING|gq6| ]Maecenas faucibus mollis interdum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue.|g2n||g2n|Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vestibulum id ligula porta felis euismod semper. Nullam id dolor id nibh ultricies vehicula ut id elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean lacinia bibendum nulla sed consectetur. Donec sed odio dui.|g2n||g2n|Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.|g2n||g2n|Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Donec ullamcorper nulla non metus auctor fringilla. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.[/gdlr_service]|gq2|,|gq2|gdl-tab-title-id|gq2|:|gq2|consulting|gq2|},{|gq2|gdl-tab-title|gq2|:|gq2|Pipe System|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|[gdlr_service image=|gq6|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/03/service-shortcode-1.jpg|gq6| title=|gq6|PIPE SYSTEM|gq6| ]Maecenas faucibus mollis interdum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue.|g2n||g2n|Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vestibulum id ligula porta felis euismod semper. Nullam id dolor id nibh ultricies vehicula ut id elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean lacinia bibendum nulla sed consectetur. Donec sed odio dui.|g2n||g2n|Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.|g2n||g2n|Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Donec ullamcorper nulla non metus auctor fringilla. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.[/gdlr_service]|gq2|,|gq2|gdl-tab-title-id|gq2|:|gq2|pipe|gq2|},{|gq2|gdl-tab-title|gq2|:|gq2|Interior|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|[gdlr_service image=|gq6|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/03/service-shortcode-5.jpg|gq6| title=|gq6|BULIT IN SERVICE|gq6| ]Maecenas faucibus mollis interdum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue.|g2n||g2n|Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vestibulum id ligula porta felis euismod semper. Nullam id dolor id nibh ultricies vehicula ut id elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean lacinia bibendum nulla sed consectetur. Donec sed odio dui.|g2n||g2n|Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.|g2n||g2n|Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Donec ullamcorper nulla non metus auctor fringilla. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.[/gdlr_service]|gq2|,|gq2|gdl-tab-title-id|gq2|:|gq2|interior|gq2|}]","initial-state":"1","style":"vertical","title-type":"none","title":"","caption":"","margin-bottom":"35px"}},{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-2","items":[{"item-type":"item","item-builder-title":"Content","type":"content","option":{"page-item-id":"","title-type":"left-bold","title":"Something About Us","caption":"","right-text":"Read All News","right-text-link":"","content":"<p><strong>Maecenas sed diam eget risus</strong> varius blandit sit amet non magna. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Nu lla vitae elit libero, a pharetra augue. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p><p>Donec ullamcorper nulla non metus auctor fringilla. Donec sed odio dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mae cenas sed diam eget risus varius blandit sit amet non magna. Integer posu. Nullam quis risus eget urna mollis ornare vel eu leo.</p>","margin-bottom":"20px"}}],"option":{},"size":"1/2"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-2","items":[{"item-type":"item","item-builder-title":"Content","type":"content","option":{"page-item-id":"","title-type":"left-bold","title":"Our Vision","caption":"","right-text":"Read All News","right-text-link":"","content":"<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Nu lla vitae elit libero.</p><p>[gdlr_icon type=|gq2|fa-dot-circle-o|gq2| color=|gq2|#353535|gq2| size=|gq2|15px|gq2| ] Porta Condimentum Ultricies Purus Sit<br /> [gdlr_space height=|gq2|-10px|gq2|]<br /> [gdlr_icon type=|gq2|fa-dot-circle-o|gq2| color=|gq2|#353535|gq2| size=|gq2|15px|gq2| ] Maecenas sed diam eget risus varius blandit sit amet non magna.<br /> [gdlr_space height=|gq2|-10px|gq2|]<br /> [gdlr_icon type=|gq2|fa-dot-circle-o|gq2| color=|gq2|#353535|gq2| size=|gq2|15px|gq2| ] Vestibulum id ligula porta felis euismod semper.<br /> [gdlr_space height=|gq2|-10px|gq2|]<br /> [gdlr_icon type=|gq2|fa-dot-circle-o|gq2| color=|gq2|#353535|gq2| size=|gq2|15px|gq2| ] Integer posuere erat a ante venenatis dapibus posuere velit aliquet.<br /> [gdlr_space height=|gq2|-10px|gq2|]<br /> [gdlr_icon type=|gq2|fa-dot-circle-o|gq2| color=|gq2|#353535|gq2| size=|gq2|15px|gq2| ] Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>","margin-bottom":"20px"}}],"option":{},"size":"1/2"}],"option":{"page-item-id":"","background-type":"color","background":"#f5f5f5","skin":"no-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"70px","padding-bottom":"40px"}},{"item-type":"wrapper","item-builder-title":"Color Wrapper","type":"color-wrapper","items":[{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-4","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"icon","image":"","icon":"fa-anchor","title":"Sollicitudin Consectetur","style":"type-2","learn-more-link":"","content":"<p>Cras justo odio, dapibus ac facili sis in, ege stas eget quam. Aenean eu leo qu am. Pellen tesque ornare sem lacinia quam venenatis vestibulum. </p>","margin-bottom":"20px"}}],"option":{},"size":"1/4"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-4","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"icon","image":"","icon":"fa-cogs","title":"Ultricies Tortor","style":"type-2","learn-more-link":"","content":"<p>Cras justo odio, dapibus ac facili sis in, ege stas eget quam. Aenean eu leo qu am. Pellen tesque ornare sem lacinia quam venenatis vestibulum. </p>","margin-bottom":"20px"}}],"option":{},"size":"1/4"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-4","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"icon","image":"","icon":"fa-heart-o","title":"Sit Vehicula","style":"type-2","learn-more-link":"","content":"<p>Cras justo odio, dapibus ac facili sis in, ege stas eget quam. Aenean eu leo qu am. Pellen tesque ornare sem lacinia quam venenatis vestibulum. </p>","margin-bottom":"20px"}}],"option":{},"size":"1/4"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-4","items":[{"item-type":"item","item-builder-title":"Column Service","type":"column-service","option":{"page-item-id":"","type":"icon","image":"","icon":"fa-cubes","title":"Dolor Ligula","style":"type-2","learn-more-link":"","content":"<p>Cras justo odio, dapibus ac facili sis in, ege stas eget quam. Aenean eu leo qu am. Pellen tesque ornare sem lacinia quam venenatis vestibulum. </p>","margin-bottom":"20px"}}],"option":{},"size":"1/4"}],"option":{"page-item-id":"","background-type":"color","background":"#ffffff","skin":"no-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"55px","padding-bottom":"20px"}},{"item-type":"wrapper","item-builder-title":"Full Size Wrapper","type":"full-size-wrapper","items":[{"item-type":"item","item-builder-title":"Master Slider","type":"master-slider","option":{"page-item-id":"meettheteam","id":"1","margin-bottom":"20px"}}],"option":{"page-item-id":"","background":"#ffffff","show-section":"gdlr-show-all","border":"none","border-top-color":"#e9e9e9","border-bottom-color":"#e9e9e9","padding-top":"0px","padding-bottom":"0px"}},{"item-type":"item","item-builder-title":"Personnel","type":"personnel","option":{"page-item-id":"","personnel":"[{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/personnel-4.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3714|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Sam Smith|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|Chief Executive Officer|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis.|gq2|,|gq2|gdl-tab-social-list|gq2|:|gq2|<a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-facebook|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-twitter|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-linkedin|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-skype|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|> [gdlr_icon type=|gq6|fa-dribbble|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a>|gq2|},{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/personnel-5.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3715|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Angie Keyne|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|Chief Financial Officer|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis.|gq2|,|gq2|gdl-tab-social-list|gq2|:|gq2|<a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-facebook|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-twitter|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-linkedin|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-skype|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|> [gdlr_icon type=|gq6|fa-dribbble|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a>|gq2|},{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/personnel-6.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3716|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Paul Edington|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|General Manager|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis.|gq2|,|gq2|gdl-tab-social-list|gq2|:|gq2|<a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-facebook|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-twitter|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-linkedin|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-skype|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|> [gdlr_icon type=|gq6|fa-dribbble|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a>|gq2|},{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/personnel-7.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3717|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|David Zhenwer|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|Lead Engineer|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis.|gq2|,|gq2|gdl-tab-social-list|gq2|:|gq2|<a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-facebook|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-twitter|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-linkedin|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-skype|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|> [gdlr_icon type=|gq6|fa-dribbble|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a>|gq2|},{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/personnel-11.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3718|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Roy Johnson|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|Lead Marketer|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis.|gq2|,|gq2|gdl-tab-social-list|gq2|:|gq2|<a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-facebook|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-twitter|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-linkedin|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-skype|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|> [gdlr_icon type=|gq6|fa-dribbble|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a>|gq2|},{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/personnel-21.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3719|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|Janie James|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|Accountant|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis.|gq2|,|gq2|gdl-tab-social-list|gq2|:|gq2|<a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-facebook|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-twitter|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-linkedin|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-skype|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|> [gdlr_icon type=|gq6|fa-dribbble|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a>|gq2|},{|gq2|gdl-tab-author-image-url|gq2|:|gq2|http://themes.goodlayers.com/megaproject/wp-content/uploads/2015/02/personnel-31.jpg|gq2|,|gq2|gdl-tab-author-image|gq2|:|gq2|3720|gq2|,|gq2|gdl-tab-title|gq2|:|gq2|John Doe|gq2|,|gq2|gdl-tab-position|gq2|:|gq2|Senior Engineer|gq2|,|gq2|gdl-tab-content|gq2|:|gq2|Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis.|gq2|,|gq2|gdl-tab-social-list|gq2|:|gq2|<a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-facebook|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-twitter|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-linkedin|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|>[gdlr_icon type=|gq6|fa-skype|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a> <a href=|gq6|#|gq6|> [gdlr_icon type=|gq6|fa-dribbble|gq6| size=|gq6|22px|gq6| color=|gq6|#222|gq6|]</a>|gq2|}]","title-type":"center","title":"Meet The Team","caption":"Here are people behind our success","personnel-columns":"4","personnel-type":"carousel","personnel-style":"plain-style","thumbnail-size":"full","margin-bottom":"70px"}}]',
					'post-option'=>'{"sidebar":"no-sidebar","left-sidebar":"Footer 1","right-sidebar":"Footer 1","page-style":"normal","show-title":"disable","page-caption":"","show-content":"enable","header-background":""}'
				),
				'contact-1' => array(
					'above-sidebar'=>'[{"item-type":"wrapper","item-builder-title":"Full Size Wrapper","type":"full-size-wrapper","items":[{"item-type":"item","item-builder-title":"Content","type":"content","option":{"page-item-id":"","title-type":"none","title":"","caption":"","right-text":"Read All News","right-text-link":"","content":"<p>[put_wpgm id=1]</p>","margin-bottom":"0px"}}],"option":{"page-item-id":"","background":"#ffffff","show-section":"gdlr-show-all","border":"none","border-top-color":"#dddddd","border-bottom-color":"#dddddd","padding-top":"0px","padding-bottom":"0px"}}]',
					'below-sidebar'=>'[{"item-type":"wrapper","item-builder-title":"Background/Parallax Wrapper","type":"parallax-bg-wrapper","items":[{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-2","items":[{"item-type":"item","item-builder-title":"Box Icon","type":"box-icon-item","option":{"page-item-id":"","icon":"fa-envelope","icon-position":"top","icon-type":"circle","icon-color":"#ffffff","icon-background":"#f7c51e","title":"Contact By Email","content":"<p>Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua.</p>","margin-bottom":"20px"}}],"option":{},"size":"1/3"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-2","items":[{"item-type":"item","item-builder-title":"Box Icon","type":"box-icon-item","option":{"page-item-id":"","icon":"fa-phone","icon-position":"top","icon-type":"circle","icon-color":"#ffffff","icon-background":"#f7c51e","title":"Contact By Phone","content":"<p>Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua.</p>","margin-bottom":"20px"}}],"option":{},"size":"1/3"},{"item-type":"wrapper","item-builder-title":"Column Item","type":"column1-3","items":[{"item-type":"item","item-builder-title":"Box Icon","type":"box-icon-item","option":{"page-item-id":"","icon":"fa-home","icon-position":"top","icon-type":"circle","icon-color":"#ffffff","icon-background":"#f7c51e","title":"Come To See Us","content":"<p>Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua.</p>","margin-bottom":"20px"}}],"option":{},"size":"1/3"}],"option":{"page-item-id":"","type":"image","background":"3674","background-mobile":"","background-speed":"0.2","pattern":"1","video":"","video-overlay":"0.5","video-player":"enable","skin":"no-skin","show-section":"gdlr-show-all","border":"none","border-top-color":"#dddddd","border-bottom-color":"#dddddd","padding-top":"100px","padding-bottom":"50px"}}]',
					'content-with-sidebar'=>'[{"item-type":"item","item-builder-title":"Content","type":"content","option":{"page-item-id":"","title-type":"none","title":"","caption":"","right-text":"Read All News","right-text-link":"","content":"<p>[gdlr_space height=|gq2|-22px|gq2|] [gdlr_heading tag=|gq2|h5|gq2| font_weight=|gq2|bold|gq2| ]Please fulfil the form below. [/gdlr_heading] [gdlr_space height=|gq2|25px|gq2|] [contact-form-7 id=|gq2|4|gq2| title=|gq2|Contact form 1|gq2|]</p>","margin-bottom":"60px"}}]',
					'post-option'=>'{"sidebar":"right-sidebar","left-sidebar":"Footer 1","right-sidebar":"contact","page-style":"normal","show-title":"disable","page-caption":"","show-content":"enable","header-background":""}'
				),
				'contact-2' => array(
					'above-sidebar'=>'[]',
					'below-sidebar'=>'[{"item-type":"wrapper","item-builder-title":"Full Size Wrapper","type":"full-size-wrapper","items":[{"item-type":"item","item-builder-title":"Content","type":"content","option":{"page-item-id":"","title-type":"none","title":"","caption":"","right-text":"Read All News","right-text-link":"","content":"<p>[put_wpgm id=1]</p>","margin-bottom":"0px"}}],"option":{"page-item-id":"","background":"#ffffff","show-section":"gdlr-show-all","border":"none","border-top-color":"#d8d8d8","border-bottom-color":"#dddddd","padding-top":"0px","padding-bottom":"0px"}}]',
					'content-with-sidebar'=>'[{"item-type":"item","item-builder-title":"Content","type":"content","option":{"page-item-id":"","title-type":"none","title":"","caption":"","right-text":"Read All News","right-text-link":"","content":"<p>[gdlr_space height=|gq2|-22px|gq2|] [gdlr_heading tag=|gq2|h5|gq2| font_weight=|gq2|bold|gq2| ]Please fulfil the form below.[/gdlr_heading] [gdlr_space height=|gq2|25px|gq2|] [contact-form-7 id=|gq2|4|gq2| title=|gq2|Contact form 1|gq2|]</p>","margin-bottom":"60px"}}]',
					'post-option'=>'{"sidebar":"left-sidebar","left-sidebar":"contact","right-sidebar":"contact","page-style":"normal","show-title":"enable","page-caption":"Aenean eu leo quam. Pellentesque ornare sem.","show-content":"enable","header-background":""}'
				),			
			);

			$loaded_data = $default_data[$_POST['slug']];
			foreach( $loaded_data as $meta_key => $meta_value ){
				update_post_meta($_POST['post_id'], $meta_key, $meta_value);
			}
		}
	}
?>